r-bioc-biomart (2.62.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:25:37 +0100

r-bioc-biomart (2.60.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:23:29 +0200

r-bioc-biomart (2.60.1+dfsg-1~0exp2) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 11:07:51 +0200

r-bioc-biomart (2.60.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * Add r-cran-httptest2 as a test dependency for the autopkgtest.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 17 Jul 2024 17:01:57 +0200

r-bioc-biomart (2.60.1+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Repository.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:56:50 +0200

r-bioc-biomart (2.58.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2024 09:36:35 +0100

r-bioc-biomart (2.58.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 20:49:19 +0100

r-bioc-biomart (2.58.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 14:27:49 +0100

r-bioc-biomart (2.56.1+dfsg-1) unstable; urgency=medium

  * Rebuild against latest r-base
    Closes: #1039635
  * New upstream version
    Closes: #1039501
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jul 2023 12:44:47 +0200

r-bioc-biomart (2.54.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 16:13:16 +0100

r-bioc-biomart (2.52.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 06:57:56 +0200

r-bioc-biomart (2.50.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 07:49:59 +0100

r-bioc-biomart (2.50.2+dfsg-2) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure testthat and mockery will
    be found

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jan 2022 22:33:53 +0100

r-bioc-biomart (2.50.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jan 2022 21:07:45 +0100

r-bioc-biomart (2.50.1+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 14:44:17 +0100

r-bioc-biomart (2.48.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Sep 2021 12:26:43 +0200

r-bioc-biomart (2.46.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 30 Jan 2021 17:54:02 +0530

r-bioc-biomart (2.46.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 11:28:00 +0530

r-bioc-biomart (2.46.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 13:45:50 +0100

r-bioc-biomart (2.44.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 13:56:44 +0100

r-bioc-biomart (2.44.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 29 Jun 2020 15:51:23 +0200

r-bioc-biomart (2.44.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 09:25:00 +0200

r-bioc-biomart (2.42.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Apr 2020 11:58:11 +0200

r-bioc-biomart (2.42.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * debian/copyright: Use spaces rather than tabs in continuation lines.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Nov 2019 08:31:53 +0100

r-bioc-biomart (2.40.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 08:48:28 +0200

r-bioc-biomart (2.40.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12

 -- Andreas Tille <tille@debian.org>  Thu, 22 Aug 2019 08:25:59 +0200

r-bioc-biomart (2.40.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 20 Jul 2019 12:20:52 +0200

r-bioc-biomart (2.40.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 17:45:13 +0200

r-bioc-biomart (2.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Sat, 10 Nov 2018 22:03:45 +0100

r-bioc-biomart (2.36.1+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jun 2018 08:51:28 +0200

r-bioc-biomart (2.36.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 26 May 2018 21:55:57 +0200

r-bioc-biomart (2.36.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 00:08:11 +0200

r-bioc-biomart (2.36.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 09:54:34 +0200

r-bioc-biomart (2.34.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 11 Mar 2018 22:08:15 +0100

r-bioc-biomart (2.34.1-1) unstable; urgency=medium

  * Team upload.
  * Update watch file with secure URI.
  * New upstream version.
  * Standards-Version: 4.1.3.
  * Add r-cran-httr to Build-Depends.
  * Bump debhelper 11~.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 01 Mar 2018 00:19:29 +0100

r-bioc-biomart (2.34.0-1) unstable; urgency=medium

  * New upstream version
  * New Build-Depends: r-cran-progress, r-cran-stringr

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 14:41:47 +0100

r-bioc-biomart (2.32.1-2) unstable; urgency=medium

  * Document why autopkgtest can not be done
  * Testsuite: autopkgtest-pkg-r
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 13:53:58 +0200

r-bioc-biomart (2.32.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 23:32:36 +0200

r-bioc-biomart (2.30.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 16:54:48 +0200

r-bioc-biomart (2.28.0-1) unstable; urgency=medium

  * New upstream version
  * We can not use autopkgtests since the use of biomart is basically
    downloading external databases

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 20:55:38 +0200

r-bioc-biomart (2.26.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 20:07:04 +0200

r-bioc-biomart (2.26.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 21:05:01 +0100

r-bioc-biomart (2.24.1-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file

 -- Andreas Tille <tille@debian.org>  Thu, 24 Sep 2015 21:53:09 +0200

r-bioc-biomart (2.24.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 11 May 2015 09:54:32 +0200

r-bioc-biomart (2.22.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2014 18:17:09 +0200

r-bioc-biomart (2.20.0-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * New (Build-)Depends: r-bioc-annotationdbi

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jun 2014 08:50:19 +0200

r-bioc-biomart (2.18.0-1) unstable; urgency=low

  * Initial release (closes: #733278)

 -- Andreas Tille <tille@debian.org>  Sat, 28 Dec 2013 00:52:10 +0100
